Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 603867 - libvirt: VM startup fails trying to resolve 'usbX' format sysfs files
libvirt: VM startup fails trying to resolve 'usbX' format sysfs files
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 14:01 EDT by Cole Robinson
Modified: 2010-11-11 09:49 EST (History)
5 users (show)

See Also:
Fixed In Version: libvirt-0_8_1-11_el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:49:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backport of upstream fix (1.13 KB, text/plain)
2010-06-25 12:31 EDT, Cole Robinson
no flags Details

  None (edit)
Description Cole Robinson 2010-06-14 14:01:58 EDT
Some files under /sys/bus/usb/devices/ have the format 'usbX', where
X is the USB bus number. Libvirt doesn't properly parse these files when trying to resolve produce/vendor to bus/device info. When it can't parse, the guest won't start. See also Fedora bug https://bugzilla.redhat.com/show_bug.cgi?id=598272

Fixed upstream here, should be a simple backport:

http://libvirt.org/git/?p=libvirt.git;a=commit;h=fa6da6608abb262cbbe3d200bd989c17c6409090
Comment 1 RHEL Product and Program Management 2010-06-14 14:02:59 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Cole Robinson 2010-06-25 12:31:33 EDT
Created attachment 426927 [details]
Backport of upstream fix

Internal posting:

http://post-office.corp.redhat.com/archives/rhvirt-patches/2010-June/msg00984.html
Comment 3 Dave Allan 2010-06-28 23:00:04 EDT
libvirt-0_8_1-11_el6 has been built in RHEL-6-candidate with the fix.

Dave
Comment 4 dyuan 2010-07-01 06:40:13 EDT
Verified PASSED with libvirt-0.8.1-13.el6.

VM start successfully with the following line in xml.
# virsh dumpxml demo
[...]
<hostdev mode='subsystem' type='usb' managed='yes'>
      <source>
        <vendor id='0x1d6b'/>
        <product id='0x0002'/>
        <address bus='1' device='1'/>
      </source>
      <alias name='hostdev0'/>
    </hostdev>

[...]
Comment 5 releng-rhel@redhat.com 2010-11-11 09:49:19 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.